package cn.wisenergy.mapper;

import cn.wisenergy.model.app.WorkHoliday;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
public interface WorkHolidayMapper extends BaseMapper<WorkHoliday> {

    List<WorkHoliday> getByDate(@Param("startDay") Date startDay,@Param("endDay") Date endDay);

    List<WorkHoliday> getByTypeAndStartDate();
}
