package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="WorkCollect", description="工时汇总实体类")
public class WorkCollect implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id",value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(name = "userId",value = "填报工时人员")
    private Integer userId;

    @ApiModelProperty(name = "workDay",value = "工时的日期")
    private Date workDay;

    @ApiModelProperty(name = "totalTime",value = "总工时")
    private Integer totalTime;

    @ApiModelProperty(name = "status",value = "状态： 1：已填报 ，2：已审核，3:被驳回")
    private Integer status;

    @ApiModelProperty(name = "rejectTime",value = "驳回时间")
    private Date rejectTime;

    @ApiModelProperty(name = "createTime",value = "创建时间")
    private Date createTime;

    @ApiModelProperty(name = "modifyTime",value = "修改时间")
    private Date modifyTime;


}
