package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="WorkUser", description="用户实体类")
public class WorkUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id",value = "主键")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(name = "oaUserId",value = "oa中的用户编号")
    private String oaUserId;

    @ApiModelProperty(name = "deptId",value = "部门id")
    private Integer deptId;

    @ApiModelProperty(name = "name",value = "用户名")
    private String name;

    @ApiModelProperty(name = "loginName",value = "登录名")
    private String loginName;

    @ApiModelProperty(name = "password",value = "密码")
    private String password;

    @ApiModelProperty(name = "phone",value = "手机号")
    private String phone;

    @ApiModelProperty(name = "email",value = "邮箱")
    private String email;

    @ApiModelProperty(name = "role",value = "角色（产品、开发、测试、售前）")
    private String role;

    @ApiModelProperty(name = "type",value = "类型（公司、外协）")
    private String type;

    @ApiModelProperty(name = "status",value = "状态（1:在职、0:离职）")
    private Integer status;

    @ApiModelProperty(name = "wxId",value = "微信id")
    private String wxId;

    @ApiModelProperty(name = "submitOrder",value = "是否需要填报工单 0不需要 1需要")
    private Integer submitOrder;

    @ApiModelProperty(name = "createTime",value = "创建时间")
    private Date createTime;

    @ApiModelProperty(name = "modifyTime",value = "更新时间")
    private Date modifyTime;


}
