package cn.wisenergy.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
@Data
public class WorkOrderChangeLogDto {

    @ApiModelProperty(name = "id",value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(name = "changeDate",value = "变更日期")
    private Date changeDate;

    @ApiModelProperty(name = "content",value = "操作内容")
    private String content;

    @ApiModelProperty(name = "operator",value = "操作人")
    private String operator;

    @ApiModelProperty(name = "deptName",value = "操作人部门")
    private String deptName;

    @ApiModelProperty(name = "projectName",value = "项目名称")
    private String projectName;

    @ApiModelProperty(name = "type",value = "工时类型")
    private Integer type;

    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "workDay",value = "工单日期")
    private Date workDay;

    @ApiModelProperty(name = "userName",value = "填报人")
    private String userName;

    @ApiModelProperty(name = "workTime",value = "工时")
    private Integer workTime;

    @ApiModelProperty(name = "des",value = "工作说明")
    private String des;

    @ApiModelProperty(name = "changeReason",value = "修改原因")
    private String changeReason;

}
